Changes required to upgrade to PyLucene 3.0.0

Review Request #1344 — Created Jan. 13, 2010 and submitted — Latest diff uploaded

lonico
Review Board
reviewboard
The new version of Lucene introduces non backward compatible changes.

I'm not too sure what to do with these diffs, as they would prevent a Review Board installation to work with a previous version of PyLucene.

For instance, FSDirectory.open was introduced in 2.9.0 and does not exist in 2.4.1.   The change in constructor for QueryParser is not present in 2.9.0 but shows in 2.9.1.  The change in constructor for StandardAnalyzer comes with 2.9.0.
Tested on our staging and production servers.  Full and incremental indexing, cron job for indexing , simple queries
Loading...